summaryrefslogtreecommitdiff
path: root/bin/doccheckin
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2015-04-28 17:44:50 +0900
committerSean Whitton <spwhitton@spwhitton.name>2015-04-28 17:44:50 +0900
commitf664bbc7d0c0da33685ff7a24c19e42f88abec31 (patch)
tree9a1fec887f891f0fde74e6470df2b76491aa0806 /bin/doccheckin
parent0ec063d2316e15597e5bc7e1f3a3ba4496724f03 (diff)
downloaddotfiles-f664bbc7d0c0da33685ff7a24c19e42f88abec31.tar.gz
try to make doccheckin not fail and stop mr
Diffstat (limited to 'bin/doccheckin')
-rwxr-xr-xbin/doccheckin5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/doccheckin b/bin/doccheckin
index 089de561..babf03fa 100755
--- a/bin/doccheckin
+++ b/bin/doccheckin
@@ -6,10 +6,11 @@ cd ~/doc/
# blanket commit that merge
gstatus=$(git status)
if [[ $gstatus =~ 'You have unmerged paths.' ]]; then
- exit
+ exit 0
fi
-git add org/*.org playlists/*.m3u emacs-abbrevs emacs-bookmarks mutt-aliases mutt-groups
+# this command should never fail and stop mr
+git add org/*.org playlists/*.m3u emacs-abbrevs emacs-bookmarks mutt-aliases mutt-groups || true
# this command should never fail and stop mr
git commit -a -m "auto commit on $(hostname -s)" || true